| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Parser
Parser.XML
Parser.XML.NSTree

# Method Parser.XML.NSTree.parse_input()

Method parse_input

  `NSNode parse_input(string data, void|string default_ns)`

Description

  Takes a XML string data and produces a namespace node tree. If default_ns is given, it will be used as the default namespace.

Throws

  Throws an error when an error is encountered during XML parsing.